For the complete documentation index, see llms.txt. This page is also available as Markdown.

Orderbook API

API is subject to Authentication and Rate Limit rules.

Create Listing

post
/v1/orderbook/list

Create a fixed priced listing on a supported orderbook (OpenSea, Doma).

Authorizations
Api-KeystringRequired
Body
orderbookstringRequired

Orderbook identifier.

Example: OPENSEA or DOMA
chainIdstringRequired

Chain ID in CAIP-2 format.

Example: eip155:1Pattern: ^[a-z0-9]+:[a-zA-Z0-9]+$
signaturestringRequired

Order signature.

Example: 0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890
cancelExistingbooleanRequired

Cancel existing order if it exists.

Example: true
Responses
200Success
application/json
orderIdstringRequired

The unique identifier for the created order.

Example: 3434-3675-5844-7264
signaturestringRequired

Order signature.

Example: 0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890
post/v1/orderbook/list
POST /v1/orderbook/list HTTP/1.1
Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1161

{
  "orderbook": "OPENSEA or DOMA",
  "chainId": "eip155:1",
  "parameters": {
    "offerer": "0x1234567890123456789012345678901234567890",
    "zone": "0x1234567890123456789012345678901234567890",
    "orderType": 0,
    "startTime": "1714931840",
    "endTime": "1717523840",
    "zoneHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "salt": "0x00000000000000000000000000000000000000000000000012aca0ba7ced6d0b",
    "offer": [
      {
        "itemType": 2,
        "token": "0x1234567890123456789012345678901234567890",
        "identifierOrCriteria": "123456",
        "startAmount": "1000000000000000000",
        "endAmount": "1000000000000000000"
      }
    ],
    "consideration": [
      {
        "itemType": 2,
        "token": "0x1234567890123456789012345678901234567890",
        "identifierOrCriteria": "123456",
        "startAmount": "1000000000000000000",
        "endAmount": "1000000000000000000",
        "recipient": "0x1234567890123456789012345678901234567890"
      }
    ],
    "totalOriginalConsiderationItems": 2,
    "conduitKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "counter": "0"
  },
  "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890",
  "cancelExisting": true,
  "cancelSignatures": {
    "0x123...": "0xabc..."
  }
}
{
  "orderId": "3434-3675-5844-7264",
  "orderData": {
    "offerer": "0x1234567890123456789012345678901234567890",
    "zone": "0x1234567890123456789012345678901234567890",
    "orderType": 0,
    "startTime": "1714931840",
    "endTime": "1717523840",
    "zoneHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "salt": "0x00000000000000000000000000000000000000000000000012aca0ba7ced6d0b",
    "offer": [
      {
        "itemType": 2,
        "token": "0x1234567890123456789012345678901234567890",
        "identifierOrCriteria": "123456",
        "startAmount": "1000000000000000000",
        "endAmount": "1000000000000000000"
      }
    ],
    "consideration": [
      {
        "itemType": 2,
        "token": "0x1234567890123456789012345678901234567890",
        "identifierOrCriteria": "123456",
        "startAmount": "1000000000000000000",
        "endAmount": "1000000000000000000",
        "recipient": "0x1234567890123456789012345678901234567890"
      }
    ],
    "totalOriginalConsiderationItems": 2,
    "conduitKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "counter": "0"
  },
  "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
}

Create Offer

post
/v1/orderbook/offer

Create an offer on a supported orderbook (OpenSea, Doma).

Authorizations
Api-KeystringRequired
Body
orderbookstringRequired

Orderbook identifier.

Example: OPENSEA or DOMA
chainIdstringRequired

Chain ID in CAIP-2 format.

Example: eip155:1Pattern: ^[a-z0-9]+:[a-zA-Z0-9]+$
signaturestringRequired

Order signature.

Example: 0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890
cancelExistingbooleanRequired

Cancel existing order if it exists.

Example: true
Responses
200Success
application/json
orderIdstringRequired

The unique identifier for the created order.

Example: 3434-3675-5844-7264
signaturestringRequired

Order signature.

Example: 0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890
post/v1/orderbook/offer
POST /v1/orderbook/offer HTTP/1.1
Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1161

{
  "orderbook": "OPENSEA or DOMA",
  "chainId": "eip155:1",
  "parameters": {
    "offerer": "0x1234567890123456789012345678901234567890",
    "zone": "0x1234567890123456789012345678901234567890",
    "orderType": 0,
    "startTime": "1714931840",
    "endTime": "1717523840",
    "zoneHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "salt": "0x00000000000000000000000000000000000000000000000012aca0ba7ced6d0b",
    "offer": [
      {
        "itemType": 2,
        "token": "0x1234567890123456789012345678901234567890",
        "identifierOrCriteria": "123456",
        "startAmount": "1000000000000000000",
        "endAmount": "1000000000000000000"
      }
    ],
    "consideration": [
      {
        "itemType": 2,
        "token": "0x1234567890123456789012345678901234567890",
        "identifierOrCriteria": "123456",
        "startAmount": "1000000000000000000",
        "endAmount": "1000000000000000000",
        "recipient": "0x1234567890123456789012345678901234567890"
      }
    ],
    "totalOriginalConsiderationItems": 2,
    "conduitKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "counter": "0"
  },
  "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890",
  "cancelExisting": true,
  "cancelSignatures": {
    "0x123...": "0xabc..."
  }
}
{
  "orderId": "3434-3675-5844-7264",
  "orderData": {
    "offerer": "0x1234567890123456789012345678901234567890",
    "zone": "0x1234567890123456789012345678901234567890",
    "orderType": 0,
    "startTime": "1714931840",
    "endTime": "1717523840",
    "zoneHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "salt": "0x00000000000000000000000000000000000000000000000012aca0ba7ced6d0b",
    "offer": [
      {
        "itemType": 2,
        "token": "0x1234567890123456789012345678901234567890",
        "identifierOrCriteria": "123456",
        "startAmount": "1000000000000000000",
        "endAmount": "1000000000000000000"
      }
    ],
    "consideration": [
      {
        "itemType": 2,
        "token": "0x1234567890123456789012345678901234567890",
        "identifierOrCriteria": "123456",
        "startAmount": "1000000000000000000",
        "endAmount": "1000000000000000000",
        "recipient": "0x1234567890123456789012345678901234567890"
      }
    ],
    "totalOriginalConsiderationItems": 2,
    "conduitKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "counter": "0"
  },
  "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
}

Get orderbook fees

get
/v1/orderbook/fee/{orderbook}/{chainId}/{contractAddress}

Get marketplace fees for a specific orderbook and chain.

Authorizations
Api-KeystringRequired
Path parameters
orderbookstringRequired

The orderbook type

chainIdstringRequired

The chain ID in CAIP-2 format

contractAddressstringRequired

The contract address of the token being listed or offered.

Responses
200Success
application/json
get/v1/orderbook/fee/{orderbook}/{chainId}/{contractAddress}
GET /v1/orderbook/fee/{orderbook}/{chainId}/{contractAddress} HTTP/1.1
Api-Key: YOUR_API_KEY
Accept: */*
{
  "marketplaceFees": [
    {
      "recipient": "0x1234567890123456789012345678901234567890",
      "basisPoints": 250,
      "feeType": "DOMA"
    }
  ]
}

Get Listing fulfillment data

get
/v1/orderbook/listing/{orderId}/{buyer}

Get listing fulfillment data by order id and buyer address.

Authorizations
Api-KeystringRequired
Path parameters
orderIdstringRequired

The Order ID of the listing.

buyerstringRequired

Buyer address, in native chain format.

Example: 0x1234567890123456789012345678901234567890
Responses
200Success
application/json
extraDataobjectOptional

Extra data for seaport fulfilment.

Example: 0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890
get/v1/orderbook/listing/{orderId}/{buyer}
GET /v1/orderbook/listing/{orderId}/{buyer} HTTP/1.1
Api-Key: YOUR_API_KEY
Accept: */*
{
  "order": {
    "parameters": {
      "offerer": "0x1234567890123456789012345678901234567890",
      "zone": "0x1234567890123456789012345678901234567890",
      "orderType": 0,
      "startTime": "1714931840",
      "endTime": "1717523840",
      "zoneHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "salt": "0x00000000000000000000000000000000000000000000000012aca0ba7ced6d0b",
      "offer": [
        {
          "itemType": 2,
          "token": "0x1234567890123456789012345678901234567890",
          "identifierOrCriteria": "123456",
          "startAmount": "1000000000000000000",
          "endAmount": "1000000000000000000"
        }
      ],
      "consideration": [
        {
          "itemType": 2,
          "token": "0x1234567890123456789012345678901234567890",
          "identifierOrCriteria": "123456",
          "startAmount": "1000000000000000000",
          "endAmount": "1000000000000000000",
          "recipient": "0x1234567890123456789012345678901234567890"
        }
      ],
      "totalOriginalConsiderationItems": 2,
      "conduitKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "counter": "0"
    },
    "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
  },
  "extraData": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
}

Get Offer fulfillment data

get
/v1/orderbook/offer/{orderId}/{fulfiller}

Get offer fulfillment data by order id and fulfiller (token owner) address.

Authorizations
Api-KeystringRequired
Path parameters
orderIdstringRequired

The Order ID of the offer.

fulfillerstringRequired

Fulfiller address, in native chain format. This is the address that owns the name token.

Example: 0x1234567890123456789012345678901234567890
Responses
200Success
application/json
extraDataobjectOptional

Extra data for seaport fulfilment.

Example: 0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890
get/v1/orderbook/offer/{orderId}/{fulfiller}
GET /v1/orderbook/offer/{orderId}/{fulfiller} HTTP/1.1
Api-Key: YOUR_API_KEY
Accept: */*
{
  "order": {
    "parameters": {
      "offerer": "0x1234567890123456789012345678901234567890",
      "zone": "0x1234567890123456789012345678901234567890",
      "orderType": 0,
      "startTime": "1714931840",
      "endTime": "1717523840",
      "zoneHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "salt": "0x00000000000000000000000000000000000000000000000012aca0ba7ced6d0b",
      "offer": [
        {
          "itemType": 2,
          "token": "0x1234567890123456789012345678901234567890",
          "identifierOrCriteria": "123456",
          "startAmount": "1000000000000000000",
          "endAmount": "1000000000000000000"
        }
      ],
      "consideration": [
        {
          "itemType": 2,
          "token": "0x1234567890123456789012345678901234567890",
          "identifierOrCriteria": "123456",
          "startAmount": "1000000000000000000",
          "endAmount": "1000000000000000000",
          "recipient": "0x1234567890123456789012345678901234567890"
        }
      ],
      "totalOriginalConsiderationItems": 2,
      "conduitKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "counter": "0"
    },
    "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
  },
  "extraData": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
}

Cancel Listing

post
/v1/orderbook/listing/cancel

Cancel a listing on a supported orderbook (OpenSea, Doma).

Authorizations
Api-KeystringRequired
Body
orderIdstringRequired

The Order ID to cancel.

Example: 3434-3675-5844-7264
signaturestringRequired

EIP-712 signature for cancel authorization.

Example: 0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890
Responses
200Success
application/json
orderIdstringRequired

The cancelled order ID.

Example: 3434-3675-5844-7264
post/v1/orderbook/listing/cancel
POST /v1/orderbook/listing/cancel HTTP/1.1
Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 180

{
  "orderId": "3434-3675-5844-7264",
  "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
}
{
  "orderId": "3434-3675-5844-7264"
}

Cancel Offer

post
/v1/orderbook/offer/cancel

Cancel an offer on a supported orderbook (OpenSea, Doma).

Authorizations
Api-KeystringRequired
Body
orderIdstringRequired

The Order ID to cancel.

Example: 3434-3675-5844-7264
signaturestringRequired

EIP-712 signature for cancel authorization.

Example: 0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890
Responses
200Success
application/json
orderIdstringRequired

The cancelled order ID.

Example: 3434-3675-5844-7264
post/v1/orderbook/offer/cancel
POST /v1/orderbook/offer/cancel HTTP/1.1
Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 180

{
  "orderId": "3434-3675-5844-7264",
  "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
}
{
  "orderId": "3434-3675-5844-7264"
}

Get supported currencies

get
/v1/orderbook/currencies/{chainId}/{contractAddress}/{orderbook}

Get all supported currency tokens for orderbook operations on a specific chain.

Authorizations
Api-KeystringRequired
Path parameters
chainIdstringRequired

The chain ID in CAIP-2 format

Example: eip155:1
contractAddressstringRequired

The contract address of the token.

Example: 0x1234567890123456789012345678901234567890
orderbookstringRequired

The name of the orderbook.

Example: OpenSea
Responses
200Success
application/json
get/v1/orderbook/currencies/{chainId}/{contractAddress}/{orderbook}
GET /v1/orderbook/currencies/{chainId}/{contractAddress}/{orderbook} HTTP/1.1
Api-Key: YOUR_API_KEY
Accept: */*
{
  "currencies": [
    {
      "contractAddress": "0xA0b86a33E6441c42C35c4C6B9B045E3c0B5Bd8e9",
      "name": "USD Coin",
      "symbol": "USDC",
      "decimals": 6,
      "type": "ALL",
      "nativeWrapper": true,
      "usdExchangeRate": 2500
    }
  ]
}

Create Bulk Listings

post
/v1/orderbook/list/bulk

Create multiple fixed priced listings on a supported orderbook (Doma and OpenSea).

Authorizations
Api-KeystringRequired
Body
orderbookstring · enumRequired

Orderbook identifier. Only DOMA is supported.

Example: OPENSEA or DOMAPossible values:
chainIdstringRequired

Chain ID in CAIP-2 format.

Example: eip155:1Pattern: ^[a-z0-9]+:[a-zA-Z0-9]+$
cancelExistingbooleanRequired

Cancel existing orders if they exist.

Example: true
Responses
200Success
application/json
post/v1/orderbook/list/bulk
POST /v1/orderbook/list/bulk HTTP/1.1
Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1174

{
  "orderbook": "OPENSEA or DOMA",
  "chainId": "eip155:1",
  "orders": [
    {
      "parameters": {
        "offerer": "0x1234567890123456789012345678901234567890",
        "zone": "0x1234567890123456789012345678901234567890",
        "orderType": 0,
        "startTime": "1714931840",
        "endTime": "1717523840",
        "zoneHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "salt": "0x00000000000000000000000000000000000000000000000012aca0ba7ced6d0b",
        "offer": [
          {
            "itemType": 2,
            "token": "0x1234567890123456789012345678901234567890",
            "identifierOrCriteria": "123456",
            "startAmount": "1000000000000000000",
            "endAmount": "1000000000000000000"
          }
        ],
        "consideration": [
          {
            "itemType": 2,
            "token": "0x1234567890123456789012345678901234567890",
            "identifierOrCriteria": "123456",
            "startAmount": "1000000000000000000",
            "endAmount": "1000000000000000000",
            "recipient": "0x1234567890123456789012345678901234567890"
          }
        ],
        "totalOriginalConsiderationItems": 2,
        "conduitKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "counter": "0"
      },
      "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
    }
  ],
  "cancelExisting": true,
  "cancelSignatures": {
    "0x123...": "0xabc..."
  }
}
{
  "orders": [
    {
      "orderId": "3434-3675-5844-7264",
      "orderData": {
        "offerer": "0x1234567890123456789012345678901234567890",
        "zone": "0x1234567890123456789012345678901234567890",
        "orderType": 0,
        "startTime": "1714931840",
        "endTime": "1717523840",
        "zoneHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "salt": "0x00000000000000000000000000000000000000000000000012aca0ba7ced6d0b",
        "offer": [
          {
            "itemType": 2,
            "token": "0x1234567890123456789012345678901234567890",
            "identifierOrCriteria": "123456",
            "startAmount": "1000000000000000000",
            "endAmount": "1000000000000000000"
          }
        ],
        "consideration": [
          {
            "itemType": 2,
            "token": "0x1234567890123456789012345678901234567890",
            "identifierOrCriteria": "123456",
            "startAmount": "1000000000000000000",
            "endAmount": "1000000000000000000",
            "recipient": "0x1234567890123456789012345678901234567890"
          }
        ],
        "totalOriginalConsiderationItems": 2,
        "conduitKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "counter": "0"
      },
      "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
    }
  ],
  "errors": [
    {
      "tokenId": "text",
      "contract": "text",
      "error": "text"
    }
  ]
}

Create Bulk Offers

post
/v1/orderbook/offer/bulk

Create multiple fixed priced offers on a supported orderbook (Doma and OpenSea).

Authorizations
Api-KeystringRequired
Body
orderbookstring · enumRequired

Orderbook identifier. Only DOMA is supported.

Example: OPENSEA or DOMAPossible values:
chainIdstringRequired

Chain ID in CAIP-2 format.

Example: eip155:1Pattern: ^[a-z0-9]+:[a-zA-Z0-9]+$
cancelExistingbooleanRequired

Cancel existing orders if they exist.

Example: true
Responses
200Success
application/json
post/v1/orderbook/offer/bulk
POST /v1/orderbook/offer/bulk HTTP/1.1
Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1174

{
  "orderbook": "OPENSEA or DOMA",
  "chainId": "eip155:1",
  "orders": [
    {
      "parameters": {
        "offerer": "0x1234567890123456789012345678901234567890",
        "zone": "0x1234567890123456789012345678901234567890",
        "orderType": 0,
        "startTime": "1714931840",
        "endTime": "1717523840",
        "zoneHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "salt": "0x00000000000000000000000000000000000000000000000012aca0ba7ced6d0b",
        "offer": [
          {
            "itemType": 2,
            "token": "0x1234567890123456789012345678901234567890",
            "identifierOrCriteria": "123456",
            "startAmount": "1000000000000000000",
            "endAmount": "1000000000000000000"
          }
        ],
        "consideration": [
          {
            "itemType": 2,
            "token": "0x1234567890123456789012345678901234567890",
            "identifierOrCriteria": "123456",
            "startAmount": "1000000000000000000",
            "endAmount": "1000000000000000000",
            "recipient": "0x1234567890123456789012345678901234567890"
          }
        ],
        "totalOriginalConsiderationItems": 2,
        "conduitKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "counter": "0"
      },
      "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
    }
  ],
  "cancelExisting": true,
  "cancelSignatures": {
    "0x123...": "0xabc..."
  }
}
{
  "orders": [
    {
      "orderId": "3434-3675-5844-7264",
      "orderData": {
        "offerer": "0x1234567890123456789012345678901234567890",
        "zone": "0x1234567890123456789012345678901234567890",
        "orderType": 0,
        "startTime": "1714931840",
        "endTime": "1717523840",
        "zoneHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "salt": "0x00000000000000000000000000000000000000000000000012aca0ba7ced6d0b",
        "offer": [
          {
            "itemType": 2,
            "token": "0x1234567890123456789012345678901234567890",
            "identifierOrCriteria": "123456",
            "startAmount": "1000000000000000000",
            "endAmount": "1000000000000000000"
          }
        ],
        "consideration": [
          {
            "itemType": 2,
            "token": "0x1234567890123456789012345678901234567890",
            "identifierOrCriteria": "123456",
            "startAmount": "1000000000000000000",
            "endAmount": "1000000000000000000",
            "recipient": "0x1234567890123456789012345678901234567890"
          }
        ],
        "totalOriginalConsiderationItems": 2,
        "conduitKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "counter": "0"
      },
      "signature": "0x1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
    }
  ],
  "errors": [
    {
      "tokenId": "text",
      "contract": "text",
      "error": "text"
    }
  ]
}

Get bulk listing items

get
/v1/orderbook/list/bulk/{id}/items

Get paginated items for a bulk listing by bulk listing ID.

Authorizations
Api-KeystringRequired
Path parameters
idstringRequired

Bulk listing ID

Example: 123e4567-e89b-12d3-a456-426614174000
Responses
200

Bulk listing items retrieved successfully

application/json
itemsstring[]Required

Response items

totalCountnumberRequired

Total number of items

Example: 100
pageSizenumberRequired

Number of items per page

Example: 20
currentPagenumberRequired

Current page

Example: 10
totalPagesnumberRequired

Total of pages

Example: 100
hasPreviousPagebooleanRequired

Has previous page

Example: true
hasNextPagebooleanRequired

Has next page

Example: true
get/v1/orderbook/list/bulk/{id}/items
GET /v1/orderbook/list/bulk/{id}/items HTTP/1.1
Api-Key: YOUR_API_KEY
Accept: */*
{
  "items": [
    "text"
  ],
  "totalCount": 100,
  "pageSize": 20,
  "currentPage": 10,
  "totalPages": 100,
  "hasPreviousPage": true,
  "hasNextPage": true
}

Last updated